## org.opengis.annotation
Annotation Type XmlElement

    @Documented
    @Target(value={TYPE,METHOD})
    @Retention(value=RUNTIME)
    public @interface XmlElement

Maps an interface or a method to the XML type, element or attribute. Interfaces usually map to XML types, while methods map to XML element or attribute. It is not the purpose of this annotation to differentiate types from attributes, since this distinction can already be inferred from Java reflection. This annotation, completed with reflection if needed, should only provides enough information for finding the corresponding XML element in the schema.

Since:
  GeoAPI 2.0

Required Element Summary
`String` `value` The name of the element in the XML schema.

Element Detail

### value

    public abstract String value

  The name of the element in the XML schema.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.